<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="mi-componente">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Hello [[prop1]]!</h2>
  </template>

  <script>
    /**
     * `mi-componente`
     * Mi primer componente en Polymer 2.0
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class MiComponente extends Polymer.Element {
      static get is() { return 'mi-componente'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'mi-componente'
          }
        };
      }
    }

    window.customElements.define(MiComponente.is, MiComponente);
  </script>
</dom-module>
